Loading...
Searching...
No Matches
ojph::mem_elastic_allocator::stores_list Struct Reference

## Public Member Functions

| stores_list (ui32 available_bytes)
void | restart ()

## Static Public Member Functions

static constexpr ui32 | stores_list_size16 ()
static ui32 | eval_store_bytes (ui32 available_bytes)

## Public Attributes

stores_list * | next_store
ui8 * | orig_data
ui8 * | data
ui32 | orig_size
ui32 | available

## Detailed Description

Definition at line 246 of file ojph_mem.h.

## Constructor & Destructor Documentation

## stores_list()

ojph::mem_elastic_allocator::stores_list::stores_list | ( | ui32 | available_bytes | ) |

inline

Definition at line 256 of file ojph_mem.h.

References available, data, next_store, orig_data, orig_size, and stores_list_size16().

Referenced by stores_list_size16().

## Member Function Documentation

## eval_store_bytes()

ui32 ojph::mem_elastic_allocator::stores_list::eval_store_bytes | ( | ui32 | available_bytes | ) |

inline static

Definition at line 268 of file ojph_mem.h.

References stores_list_size16().

Referenced by ojph::mem_elastic_allocator::allocate().

## restart()

void ojph::mem_elastic_allocator::stores_list::restart | ( |  | ) |

inline

Definition at line 262 of file ojph_mem.h.

References available, data, next_store, orig_data, and orig_size.

## stores_list_size16()

constexpr ui32 ojph::mem_elastic_allocator::stores_list::stores_list_size16 | ( |  | ) |

inline static constexpr

Definition at line 252 of file ojph_mem.h.

References stores_list().

Referenced by eval_store_bytes(), and stores_list().

## Member Data Documentation

## available

ui32 ojph::mem_elastic_allocator::stores_list::available

Definition at line 274 of file ojph_mem.h.

Referenced by restart(), and stores_list().

## data

ui8 * ojph::mem_elastic_allocator::stores_list::data

Definition at line 273 of file ojph_mem.h.

Referenced by restart(), and stores_list().

## next_store

stores_list* ojph::mem_elastic_allocator::stores_list::next_store

Definition at line 272 of file ojph_mem.h.

Referenced by restart(), and stores_list().

## orig_data

ui8* ojph::mem_elastic_allocator::stores_list::orig_data

Definition at line 273 of file ojph_mem.h.

Referenced by restart(), and stores_list().

## orig_size

ui32 ojph::mem_elastic_allocator::stores_list::orig_size

Definition at line 274 of file ojph_mem.h.

Referenced by restart(), and stores_list().

The documentation for this struct was generated from the following file:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_mem.h